scons (2.3.6-1) unstable; urgency=medium

  * New upstream release.
    - Remove obsolete debian/patches/scons-isystem.patch and
      debian/patches/manpage-spelling.patch

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 02 Aug 2015 12:16:47 +0200

scons (2.3.4-1) unstable; urgency=medium

  * New upstream release
    - Remove obsolete debian/patches/manpages.patch.
    - New debian/patches/manpage-spelling.patch:
      + Correct spelling in scons.1.
  * debian/control:
    - Update required python version to >= 2.7~.
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Change Vcs-* to new cgit based repository viewer
    - Add Build-Depends dh-python to prevent dh warnings.
  * debian/copyright:
    - Rewrite into machine-readable format.
    - Add new section debian/* with license GPL-3.0+.
    - Add new section debian/patches/* with license Expat.
    - Add myself to the list of authors for debian/*.
    - Update copyright years for 2014-2015.
  * debian/watch
    - Rewrite regex for finding all file extensions.
  * Remove the search of libs in local source dirs for security reasons:
    - New debian/patches/0020-secure_script_scons.patch.
  * Refresh debian/patches
    - manpage-spelling.patch, java_ignore_nonexistent_files.patch,
      remove_stale_files.patch.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 01 Jun 2015 10:03:17 +0200

scons (2.3.1-2) unstable; urgency=medium

  * New maintainer (Closes: #755496).
  * debian/control:
    - Set myself as maintainer.
    - Set László Böszörményi as co-maintainer.
  * Add debian/patch/scons-isystem.patch (Closes: #760804, #761565)
    - add -isystem support to scons
      Thanks to James McCoy <jamessan@debian.org>!

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 08 Nov 2014 10:40:32 +0100

scons (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/remove_stale_files.patch:
    - Refresh for new upstream release.
  * debian/patches/manpages.patch:
    - Restore man pages from version 2.3.0, otherwise empty.
  * debian/control:
    - Bump Standards-Version to 3.9.5, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 26 Apr 2014 12:22:43 +0200

scons (2.3.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/java_ignore_nonexistent_files.patch:
    - Do not check for symlink reference, check whether files can be
      opened instead, and return a valid tuple anyway (LP: #1101094).
  * debian/patches/manpages.patch:
    - Fix spelling errors in the man pages.
  * debian/control:
    - Move VCS repository under collab-maint.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 May 2013 11:42:32 +0200

scons (2.3.0-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/remove_stale_files.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 11 Mar 2013 22:30:58 +0100

scons (2.2.0-1) experimental; urgency=low

  * New upstream release.
    - New documentation for custom Decider functions (Closes: #579337).
  * debian/patches/remove_stale_files.patch:
    - Refresh for new upstream release.
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/control:
    - Bump Standards-Version to 3.9.3, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 20 Aug 2012 23:26:43 +0200

scons (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/fortran03.patch:
    - Remove, merged upstream.
  * debian/patches/remove_stale_files.patch:
    - Refresh for new upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 10 Sep 2011 11:14:31 +0200

scons (2.0.1-2) unstable; urgency=low

  * debian/patches/parallel_build.patch:
    - Disable parallel build on sparc machines as a workaround to weird
      build failures seen on several packages (Closes: #632228).
  * debian/control:
    - Bump Standards-Version to 3.9.2, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 02 Jul 2011 13:34:20 +0200

scons (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to dh_python2.
  * debian/control:
    - Bump Standards-Version to 3.9.1, no changes required.
  * debian/watch:
    - Adjust to ignore development versions.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 10 Feb 2011 23:10:48 +0100

scons (2.0.0-1) unstable; urgency=low

  * New upstream release.
    - No longer use string exceptions (Closes: #585353).
  * Refresh patches for new upstream release.
  * debian/patches/fortran03.patch:
    - Add fortran03 support, thanks Alastair McKinstry! (Closes: #583658).
  * debian/watch:
    - Look for 2.0 branch.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 15 Jun 2010 16:14:58 +0200

scons (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 25 Mar 2010 20:42:14 +0100

scons (1.2.0.d20100306-1) unstable; urgency=low

  * New upstream checkpoint release.
  * debian/patches/manpages.patch:
    - Removed, applied upstream.
  * debian/control:
    - Bump Standards-Version to 3.8.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 10 Mar 2010 13:58:54 +0100

scons (1.2.0.d20100117-1) unstable; urgency=low

  * New upstream checkpoint release.
  * Switch to format 3.0 (quilt).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 23 Jan 2010 15:14:43 +0100

scons (1.2.0.d20091224-1) unstable; urgency=low

  * New upstream checkpoint release.
  * debian/patches/manpages.patch:
    - Changes applied in previous release were fixed upstream.
    - Fix several spelling and syntax errors.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 29 Dec 2009 13:14:34 +0100

scons (1.2.0.d20090919-1) unstable; urgency=low

  * New upstream checkpoint release.
  * debian/patches/remove_stale_files.patch:
    - Remove stale files created by SCons when building Debian packages.
      Check if DH_INTERNAL_OPTIONS is set, then delete selected files. This
      is a workaround to fix double compilation, it will reverted when
      upstream implements support for deep clean (Closes: #519948).
  * debian/patches/manpages.patch:
    - Fix errors in manpages.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 05 Dec 2009 18:16:57 +0100

scons (1.2.0.d20090905-1) unstable; urgency=low

  * New upstream checkpoint release.
  * Remove obsolete patches, they have been merged upstream:
    - debian/patches/no_commandline_arguments.patch
    - debian/patches/remove_broken_symlinks.patch
  * Update my e-mail address.
  * Remove DM-Upload-Allowed field.
  * Update copyright informations.
  * Switch to debhelper 7.
  * Switch to python-support.
  * Do not build-depend on unnecessary python-dev, replace it with python.
  * Add Vcs-* fields to document where SCons debianisation is stored.
  * Bump Standards-Version to 3.8.3, no changes required.
  * Adhere to DEP3.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 09 Sep 2009 20:26:05 +0200

scons (1.2.0-2) unstable; urgency=low

  * Upload to unstable (Closes: #522413).
  * debian/patches/no_commandline_arguments:
    - Fix an exception when a null command-line argument is passed in.
  * Update Standards-Version to 3.8.1, no changes required.
  * Add watch file.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 04 Apr 2009 00:15:48 +0200

scons (1.2.0-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/remove_broken_symlinks:
    - In Clean() routine, try to delete symlinks even if files they point
      to are not available (Closes: #485521).
  * debian/patches/qt_missing_moc:
    - Dropped, implemented upstream time ago.
  * Add description to debian/patches/* to make Lintian happy.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 26 Dec 2008 18:06:57 +0100

scons (1.1.0-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/java_ignore_nonexistent_files:
    - Check for file/symlink existence before trying to use it in Java(),
      this prevents IOError exception (Closes: #338232).
  * Provide a README.source to document quilt usage, as per policy.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 11 Oct 2008 18:23:42 +0200

scons (1.0.1-1) experimental; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 10 Sep 2008 20:29:32 +0200

scons (1.0.0-1) unstable; urgency=low

  * New upstream release.
    - Document better SideEffect usage (Closes: #430470).
    - debian/patches/manpage_indentation dropped, implemented upstream.
  * Add DM-Upload-Allowed field.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 13 Aug 2008 09:11:43 +0000

scons (0.98.5-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/manpage_indentation:
    - Fix scons manpage indentation, thanks Colin Watson (Closes: #472903).
  * debian/control:
    - Bump Standards-Version to 3.8.0 (no changes required).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 10 Jun 2008 07:21:31 +0000

scons (0.98.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Set myself as Maintainer, move Mark Brown to Uploaders
      (Closes: #477925).
  * debian/copyright:
    - Update copyright holder.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Mon, 19 May 2008 16:08:06 +0200

scons (0.98.3-1) unstable; urgency=low

  [ Mark Brown ]
  * Add Luca Falavigna to Uploaders pending probable formation of a team.

  [ Luca Falavigna ]
  * New upstream release:
    - Options object backwards compatibility (Closes: #477912).
  * Add quilt support, existing patches are now managed with it:
    - debian/patches/qt_missing_moc.
  * debian/control:
    - Move python-central to Build-Depends-Indep.
    - Bump to Standards-Version: 3.7.3.
    - Add Homepage field.
  * debian/compat:
    - Bump version to 5.
  * debian/scons.manpages:
    - Add scons-time.1 man page.

 -- Mark Brown <broonie@debian.org>  Wed, 30 Apr 2008 21:41:02 +0100

scons (0.98.2-3) unstable; urgency=low

  * Rebuild with python-central 0.6.6 for more bug fixes (closes: #476976).

 -- Mark Brown <broonie@debian.org>  Sun, 27 Apr 2008 11:43:36 +0100

scons (0.98.2-2) unstable; urgency=low

  * Backport fix for propagation of CXXFLAGS to SHCXXFLAGS (closes: #477930).

 -- Mark Brown <broonie@debian.org>  Sat, 26 Apr 2008 11:34:30 +0100

scons (0.98.2-1) unstable; urgency=low

  * New upstream release.
  * Build against new python-central, picking up new generated code which
    fixes upgrades (closes: #476976).

 -- Mark Brown <broonie@debian.org>  Tue, 22 Apr 2008 20:55:03 +0100

scons (0.98.1-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat, 19 Apr 2008 12:42:01 +0100

scons (0.98.0-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 01 Apr 2008 19:26:31 +0100

scons (0.97.0d20080304-1) unstable; urgency=low

  * Snapshot of revision 2680.
  * This snapshot supports passing lists of Nodes to the File() constructor.

 -- Mark Brown <broonie@debian.org>  Tue, 04 Mar 2008 19:24:23 +0000

scons (0.97.0d20080303-1) unstable; urgency=low

  * Snapshot of revision 2678.
  * This snapshot supports passing lists of Nodes to Chmod() (closes: #464136).

 -- Mark Brown <broonie@debian.org>  Mon, 03 Mar 2008 20:15:36 +0000

scons (0.97.0d20071212-3) unstable; urgency=low

  * Apply upstream patch fixing handling of missing files specified with
    absolute paths in ifdefed code (closes: #457056).

 -- Mark Brown <broonie@debian.org>  Wed, 19 Dec 2007 19:25:28 +0000

scons (0.97.0d20071212-2) unstable; urgency=low

  * Apply upstream patch fixing handling of absolute paths (closes: #456518).

 -- Mark Brown <broonie@debian.org>  Mon, 17 Dec 2007 18:17:14 +0000

scons (0.97.0d20071212-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Fri, 14 Dec 2007 20:22:42 +0000

scons (0.97.0d20071203-1) unstable; urgency=low

  * Unofficial upstream snapshot (SVN revision 2509).
  * Incorporates fix for build failures when cleaning (closes: #444204).

 -- Mark Brown <broonie@debian.org>  Mon, 03 Dec 2007 19:29:59 +0000

scons (0.97.0d20070918-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Wed, 19 Sep 2007 12:09:26 +0100

scons (0.97.0d20070809-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat, 11 Aug 2007 00:06:27 +0100

scons (0.97-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Fri, 18 May 2007 18:49:36 +0100

scons (0.96.93-2) unstable; urgency=low

  * Apply patch from Tom Parker <debian@tevp.net> fixing QT builder when used
    with missing moc files (closes: #400922).

 -- Mark Brown <broonie@debian.org>  Wed, 29 Nov 2006 19:27:39 +0000

scons (0.96.93-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue,  7 Nov 2006 19:21:10 +0000

scons (0.96.92-2) unstable; urgency=low

  * Make some vauge wavings at the new Python policy, picking python-central
    at random (closes: #380944).
  * Install into our own module directory again since it seems to be more
    policy compliant.
  * Invoke setup.py in the clean target for good measure.
  * Move build dependencies to Build-Depends.
  * Policy 3.7.2 (no changes).

 -- Mark Brown <broonie@debian.org>  Tue,  1 Aug 2006 20:04:42 +0100

scons (0.96.92-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat,  6 May 2006 11:43:02 +0100

scons (0.96.91-2) experimental; urgency=low

  * Ask setup.py not to install man pages into /usr/man (closes: #338415).
  * Ship upstream release notes.
  * Install into the standard Python directory.
  * Don't installed versioned copies of scripts.
  * Fix .R->.RI typo in man page.

 -- Mark Brown <broonie@debian.org>  Sun, 13 Nov 2005 15:35:53 +0000

scons (0.96.91-1) experimental; urgency=low

  * New upstream release.
  * Uploaded to experimental since it is still a prerelease (closes: #312289).

 -- Mark Brown <broonie@debian.org>  Wed, 14 Sep 2005 20:50:08 +0100

scons (0.96.90-1) experimental; urgency=low

  * New upstream release.
  * Uploaded to experimental since it is still a prerelease (closes: #312289).

 -- Mark Brown <broonie@debian.org>  Wed, 29 Jun 2005 22:46:48 +0100

scons (0.96.1-2) unstable; urgency=low

  * Ship upstream release notes.
  * Install into standard Python directories.

 -- Mark Brown <broonie@debian.org>  Sun, 13 Nov 2005 15:11:40 +0000

scons (0.96.1-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 24 Aug 2004 08:57:22 +0100

scons (0.96-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Wed, 18 Aug 2004 22:30:42 +0100

scons (0.95-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Mon,  8 Mar 2004 20:59:58 +0000

scons (0.94-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat,  8 Nov 2003 12:49:24 +0000

scons (0.93-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Fri, 24 Oct 2003 08:45:46 +0100

scons (0.92-2) unstable; urgency=low

  * Build depend on python-dev (closes: #216373).

 -- Mark Brown <broonie@debian.org>  Sat, 18 Oct 2003 13:39:04 +0100

scons (0.92-1) unstable; urgency=low

  * New maintainer.
  * New upstream release (closes: #174332).
  * Rewrite description (closes: #198315).
  * Use dh_python (closes: #212703).
  * Update to debhelper version 4 and use setup.py for installation.
  * Update to policy 3.6.1 (no changes).

 -- Mark Brown <broonie@debian.org>  Wed, 15 Oct 2003 20:35:57 +0100

scons (0.08-1) unstable; urgency=low

  *  New upstream release (Closes: #158373)

 -- Moshe Zadka <moshez@debian.org>  Mon, 21 Oct 2002 16:52:11 +0200

scons (0.07-3) unstable; urgency=low

  * Removing /usr/doc links
  * Python 2.1 -> Python 2.2 

 -- Moshe Zadka <moshez@debian.org>  Tue, 27 Aug 2002 18:48:02 +0300

scons (0.07-2) unstable; urgency=low

  * Ugh, who would put distutils.core in python-dev? Changing build
    dependancies (Closes: #146601)
  * While we're at it, update Standards-Version

 -- Moshe Zadka <moshez@debian.org>  Sat, 11 May 2002 08:25:07 +0300

scons (0.07-1) unstable; urgency=low

  * New upstream version
  * Packaging properly, instead of as debian native
  * Modifying copyright to include upstream location (Closes: #144491) 
  * Fixing my e-mail address (Closes: #144490)
    * Thanks for looking after my packages, tbm ;-)

 -- Moshe Zadka <moshez@debian.org>  Sat,  4 May 2002 13:05:53 +0300

scons (0.06-1) unstable; urgency=low

  * New upstream version 

 -- Moshe Zadka <moshez@debian.org>  Mon, 15 Apr 2002 19:22:09 +0300

scons (0.05-1) unstable; urgency=low

  * First upload (closes: #140128)

 -- Moshe Zadka <moshez@debian.org>  Wed, 27 Mar 2002 10:40:42 +0200
